"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa429e40>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa429ee0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa429f80>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42a020>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42a0c0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42a160>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42a200>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42a2a0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42a340>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42a3e0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42a480>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42a520>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42a5c0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42a660>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42a700>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42a7a0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42a840>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42a8e0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42a980>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42aa20>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42aac0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42ab60>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42ac00>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42aca0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42ad40>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42ade0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42ae80>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42af20>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42afc0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42b060>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42b100>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42b1a0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42b240>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42b2e0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42b380>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42b420>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42b4c0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42b560>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42b600>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42b6a0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42b740>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42b7e0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42b880>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42b920>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42b9c0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42ba60>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42bb00>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42bba0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42bc40>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42bce0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42bd80>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42be20>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42bec0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa42bf60>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45c040>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45c0e0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45c180>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45c220>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45c2c0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45c360>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45c400>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45c4a0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45c540>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45c5e0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45c680>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45c720>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45c7c0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45c860>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45c900>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45c9a0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45ca40>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45cae0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45cb80>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45cc20>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45ccc0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45cd60>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45ce00>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45cea0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45cf40>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45cfe0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45d120>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45d080>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45d1c0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45d260>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffffaa45d300>)]
name: str = 'fr_HOCCN'
